ranges::actions::remove_fn Struct Reference

## Synopsis of methods

constexpr remove_fn | remove {}

## Public Member Functions

template<typename V , typename P >
constexpr auto | operator() (V &&value, P proj) const requires(!range< V >)
template<typename V >
constexpr auto | operator() (V &&value) const
template<typename Rng , typename V , typename P = identity>
auto | operator() (Rng &&rng, V const &value, P proj={}) const -> Rng requires forward_range< Rng > &&permutable< iterator_t< Rng >> &&erasable_range< Rng, iterator_t< Rng >, sentinel_t< Rng >> &&indirect_relation< equal_to, projected< iterator_t< Rng >, P >, V const *>

## Methods

## remove

constexpr remove_fn remove {}

related